Bug 47466 - [Maintainer update] sysutils/thefish to 0.2.5
Summary: [Maintainer update] sysutils/thefish to 0.2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-25 17:00 UTC by Miguel Mendez
Modified: 2003-01-27 22:40 UTC (History)
0 users

See Also:


Attachments
thefish.diff (578 bytes, patch)
2003-01-25 17:00 UTC, Miguel Mendez
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miguel Mendez 2003-01-25 17:00:05 UTC
 Changelog:

    0.2.4 -> 0.2.5

    Finally killed the classic bug that made resizing properly 
	impossible. I've moved from using a viewport to the better 
	scrolled window solution. The Commit button is only active 
	when there are unsaved changes. The Fish now sets its icon. 
	Fixed a couple of memory leaks (ctime -> ctime_r)
Comment 1 Adam Weinberger freebsd_committer 2003-01-27 22:14:36 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 2 Miguel Mendez 2003-01-27 22:29:57 UTC
On Sat, 25 Jan 2003 17:56:01 +0100 (CET)
Miguel Mendez <flynn@energyhq.homeip.net> wrote:

Let's take advantage of the fact that this hasn't been committed yet and
use 0.2.5.1 instead, which is the latest release.

Cheers,

-- 
        Miguel Mendez - flynn@energyhq.homeip.net
        GPG Public Key :: http://energyhq.homeip.net/files/pubkey.txt
        EnergyHQ :: http://www.energyhq.tk
        Of course it runs NetBSD!

diff -ruN thefish.old/Makefile thefish/Makefile
--- thefish.old/Makefile	Sun Jan 19 02:21:23 2003
+++ thefish/Makefile	Mon Jan 27 23:24:37 2003
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	thefish
-PORTVERSION=	0.2.4
+PORTVERSION=	0.2.5.1
 CATEGORIES=	sysutils
 MASTER_SITES=	http://energyhq.homeip.net/files/
 
@@ -17,16 +17,9 @@
 MAKE_ENV+=	NO_GUI=yes
 .endif
 
-.if !defined(NO_GUI) && !defined(WITH_GTK12)
-LIB_DEPENDS=	gtk-x11-2.0:${PORTSDIR}/x11-toolkits/gtk20
-.endif
 .if !defined(NO_GUI)
+LIB_DEPENDS=	gtk-x11-2.0:${PORTSDIR}/x11-toolkits/gtk20
 USE_X_PREFIX=	yes
-.endif
-.if !defined(NO_GUI) && defined(WITH_GTK12)
-USE_GNOMENG=	yes
-USE_GNOME=	gtk12
-PKGNAMESUFFIX=	-gtk
 .endif
 
 MAN1=		thefish.1
diff -ruN thefish.old/distinfo thefish/distinfo
--- thefish.old/distinfo	Sat Jan 18 08:46:17 2003
+++ thefish/distinfo	Mon Jan 27 23:25:12 2003
@@ -1 +1 @@
-MD5 (thefish-0.2.4.tar.gz) = d7cc3f8944bae5aa0b366accde107432
+MD5 (thefish-0.2.5.1.tar.gz) = 3cb9611006f0e4e21d0b6b174fa4601b
diff -ruN thefish.old/pkg-message thefish/pkg-message
--- thefish.old/pkg-message	Sat Jan 18 08:46:17 2003
+++ thefish/pkg-message	Mon Jan 27 23:25:09 2003
@@ -1,9 +1,5 @@
 **********************************************************************
- HEADS UP: The Fish now defaults to GTK+ 2.x. GTK+ 1.2 is still
- supported, but will be eventually dropped. Users are encouraged to
- use the GTK+ 2.0 version.
+ HEADS UP: GTK+ 1.2 support has been dropped.
  ---------------------------------------------------------------------
  If you want to build The Fish without the GTK+ UI, use make -DNO_GUI
- If you prefer to use GTK+ 1.2 instead of 2.0, use make -DWITH_GTK12
-
 **********************************************************************